# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/riscv/eswin.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: ESWIN SoC-based boards

maintainers:
  - Min Lin <linmin@eswincomputing.com>
  - Pinkesh Vaghela <pinkesh.vaghela@einfochips.com>
  - Pritesh Patel <pritesh.patel@einfochips.com>

description:
  ESWIN SoC-based boards

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:
      - items:
          - enum:
              - sifive,hifive-premier-p550
          - const: eswin,eic7700

additionalProperties: true

...
